Get a repository tag
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}/tags/{tag}Fetch a single tag from a repository, including the backing image's metadata and VHS-readiness status.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.vcr.getRepositoryTag({ projectId: "<id>", idOrName: "<value>", tag: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "tag": { "arch": "amd64", "createdAt": "2026-06-30T10:00:00.000Z", "imageId": "img_a1b2c3d4e5f6", "kind": "attestation", "manifestDigest": "sha256:2c4e8f3a1b9d0e5c7a6f4b2d8e1c9a0b3d5f7e9c1a2b4d6f8e0c2a4b6d8f0e2c", "platform": "linux", "pushedBy": "string", "sizeInBytes": "123", "status": "errored", "tag": "latest", "updatedAt": "2026-06-30T10:00:00.000Z" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error